POST
Transfer Batch Query
Query transfer records in batches with pagination.
Request
merchantNoMerchant number assigned by Onerway. Retrieve it from the merchant portal or onboarding material after your sandbox or production account is created.
Example:
801129requestIdOptional merchant request ID filter.
payoutIdOptional Onerway payout ID filter.
payoutStatusOptional transfer-status filter.
payoutStartTimeOptional start time of the payout window.
payoutEndTimeOptional end time of the payout window.
createTimeStartTimeStart time of the create-time window.
createTimeEndTimeEnd time of the create-time window.
payoutMethodOptional payout-method filter.
sizePage size.
currentCurrent page number.
signRequest signature string. Generate it according to the Transfer request-signing rules with your merchant private key.
curl -X POST 'https://sandbox-api.onerway.com/payout/api/v1/txn/queryList' \
-H 'Content-Type: application/json' \
--data-raw '{
"createTimeEndTime": "2025-09-10 12:00:00",
"createTimeStartTime": "2025-09-01 12:00:00",
"current": 1,
"merchantNo": "801129",
"sign": "{{SIGN}}",
"size": 10
}'Response
respCodeResponse code returned by Onerway.
respMsgResponse message returned by Onerway.
data{ records, total, ... }Paged transfer query result.
{
"respCode": "20000",
"respMsg": null,
"data": {
"records": [
{
"payoutId": "1965301538608513024",
"requestId": "DM202509090001",
"payoutStatus": "S",
"payoutMethod": "E_WALLET"
}
],
"total": 1,
"size": 10,
"current": 1
}
}No error responses are documented for this endpoint.